# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TStatementConf

Packages that use TStatementConf
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TStatementConf in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TStatementConf
Modifier and Type
Class
Description
`class`
`TStatementConf`
`class`
`TStatementConf`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TStatementConf
Modifier and Type
Field
Description
`TStatementConf`
TExecuteStatementReq.`statementConf`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TStatementConf
Modifier and Type
Method
Description
`TStatementConf`
TStatementConf.`deepCopy()`
`TStatementConf`
TExecuteStatementReq.`getStatementConf()`
`TStatementConf`
TStatementConf.`setClient_protocol(TProtocolVersion client_protocol)`
`TStatementConf`
TStatementConf.`setClient_protocol_i64(long client_protocol_i64)`
`TStatementConf`
TStatementConf.`setInitialNamespace(TNamespace initialNamespace)`
`TStatementConf`
TStatementConf.`setSessionless(boolean sessionless)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStatementConf
Modifier and Type
Method
Description
`int`
TStatementConf.`compareTo(TStatementConf other)`
`boolean`
TStatementConf.`equals(TStatementConf that)`
`TExecuteStatementReq`
TExecuteStatementReq.`setStatementConf(TStatementConf statementConf)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStatementConf
Modifier
Constructor
Description
``
`TStatementConf(TStatementConf other)`
Performs a deep copy on other.